// =====================================================================
//  $Id: TAnalysisAction.hh,v 1.1.1.1 2003/06/27 02:56:41 goiwai Exp $
//  $Name: CLDAQ-1-06-02 $
// =====================================================================
#ifndef __TANALYSISACTION_HH
#define __TANALYSISACTION_HH

#include "Tglobals.h"

class TMatrixElement;
class TAnalyser;

class TAnalysisAction
{

  public:
    TAnalysisAction();
    virtual ~TAnalysisAction();

  public:
    virtual Tvoid BeginOfAnalysisAction( TAnalyser* analyser, const Tstring& id );
    virtual Tvoid UpdateOfAnalysisAction( TAnalyser* analyser, TMatrixElement& matrix );
    virtual Tvoid EndOfAnalysisAction( TAnalyser* analyser, const Tstring& id );

};

#endif
